Subject: [bug#67877] [PATCH 0/7] Enable Elixir packages that depend on Erlang packages to build

From: Pierre-Henry Fröhring <[email-masked]>
Date: Wed, 20 Dec 2023 11:57:57 +0100

Dear lylip,

> Perhaps you can think of another example package but still follow the
> steps laid out above?

The [yaml_elixir] package should fit the bill as it calls [yamerl]. I have
got everything working here. I am in the process of crafting the various
patches. I have written a literate programming implementation of the rebar
build system to document the reasoning for future references. The code in
the post actually runs. Could you please review the reasoning? I will add
your remarks to the post.  Here is the post:

<https://phfrohring.com/867329cb-afbd-49d7-9c5c-f36ac07cd62c.html>

Thank you.

--

Regards,

-- phf

[yaml_elixir] <https://hex.pm/packages/yaml_elixir>

[yamerl] <https://hex.pm/packages/yamerl>